Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class LightDistributionResource

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.imp3d.objects.LightDistribution
              de.grogra.imp3d.objects.LightDistributionResource

All Implemented Interfaces:
  Manageable, Shareable

    public class LightDistributionResource

extends LightDistribution

Nested Class Summary
`static class` | `LightDistributionResource.Type`

Field Summary
`static LightDistributionResource.Type` | `$TYPE`

Fields inherited from class de.grogra.imp3d.objects.LightDistribution
`height$FIELD, licdf$FIELD, lipdf$FIELD, width$FIELD`

Constructor Summary
`LightDistributionResource()`
`LightDistributionResource(double[][] lipdf)`

Method Summary
`ManageableType` | `getManageableType()`

Methods inherited from class de.grogra.imp3d.objects.LightDistribution
`cartesian2map, getDensityAt, getDistribution, getHeight, getLinearCDF, getPower, getWidth, map2cartesian, map2cartesian, map2direction, setDistribution, setDistributionEx, setPower`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final LightDistributionResource.Type $TYPE

Constructor Detail

### LightDistributionResource

    public LightDistributionResource()

### LightDistributionResource

    public LightDistributionResource(double[][] lipdf)

Method Detail

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`
  Overrides:
    `getManageableType` in class `LightDistribution`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD